// Document_ready_scripts
document.addEventListener('DOMContentLoaded', function()
{
    let prev = 0,
        nav = document.querySelector(".main-navbar"),
        teaser = document.querySelector(".teaser"),
        scrollToTopBtn = document.getElementById("backToTop"),
        navbars = document.querySelectorAll(".wp-block-navigation"),
        navItems = document.querySelectorAll(".wp-block-navigation__container"),
        navContent = new Array();

    navItems.item(0).querySelector('a').classList.add('active');
    navContent[0] = navItems.item(0).innerHTML;
    navContent[1] = navItems.item(1).innerHTML;


    window.addEventListener("scroll", function () {
        var scrollTop = window.pageYOffset || 0;

        if (scrollTop > 670) {
            nav.classList.add("solid-navbar");
            //show button
            scrollToTopBtn.style.display = "block";
        } else {
            nav.classList.remove("solid-navbar");
            //hide button
            scrollToTopBtn.style.display = "none";
        }

        if (scrollTop > 280) {
            teaser.classList.add("hide");
        } else {
            teaser.classList.remove("hide");
        }
    });

    scrollToTopBtn.addEventListener("click", () => {
        window.scrollTo({
            top: 0,
            behavior: "smooth"
        });
    });

    // Mobile_nav_shift
    shift_nav();
    window.onresize = shift_nav;

    function img_resize()
    {
        let images = document.querySelectorAll('.wp-block-post-content .wp-block-cover');

        images.forEach(function(image)
        {
            image.style.minHeight = '';
            image.style.minHeight = image.closest('.wp-block-columns').offsetHeight + 'px';
        });
    }

    function shift_nav()
    {
        let isMobileView = window.innerWidth < 820;

        img_resize();

        if( !navbars.item(0).classList.contains('hidden') && isMobileView )
        {
            console.log('Mobile view');
            navItems.item(1).innerHTML = navContent[0] + navContent[1];
            navbars.item(0).classList.toggle('hidden');
        } else if( navbars.item(0).classList.contains('hidden') && !isMobileView )
        {
            console.log('Desktop view');
            navItems.item(1).innerHTML = navContent[1];
            navbars.item(0).classList.toggle('hidden');
        }
    }
    // Mobile_nave_shift END

    // Scroll_spy
    const spyScrolling = ( ) => {
        const sections = document.querySelectorAll( '.wp-block-post-content [id]' );

        window.onscroll = ( ) => {
            const scrollPos = document.documentElement.scrollTop || document.body.scrollTop;

            for ( let s in sections )
                if ( sections.hasOwnProperty( s ) && ( sections[ s ].offsetTop - 150) <= scrollPos ) {
                    const id = sections[ s ].id;
                    document.querySelector( '.active' ).classList.remove( 'active' );
                    document.querySelector( `a[href*=${ id }]` ).classList.add( 'active' );
                }
        }
    }

    spyScrolling( );
    // Scroll_spy END
});
// Document_ready_scripts END
